/* main.js */

let distance = ["1", "3", "5", "10", "20", "42.195"];		// 単位（km）

// km毎のラップを計算する
function getLap(t, d, km){
	t = (t / d) * km;
	let hours = "" + (t/36000|0) + (t/3600%10|0);
	let minutes = "" + (t%3600/600|0) + (t%3600/60%10|0);
	let seconds = "" + (t%60/10|0) + (t%60%10);
	let lap = hours + "時間" + minutes + "分" + Math.floor(seconds) + "秒";
	return lap;
};

// ラン計算
function runCalc(){
	// 走った距離を取得
	let runDistance = Number($("#distance").val());
	// タイムを取得
	let runtimeHour = Number($("#select-choice-hour").val());
	let runtimeMinute = Number($("#select-choice-minute").val());
	let runtimeSecond = Number($("#select-choice-second").val());
	// トータルタイム（秒）
	let totalSeconds = (runtimeHour * 60 * 60) + (runtimeMinute * 60) + runtimeSecond;
	// 時速を計算
	let kmH = runDistance / (totalSeconds / (60 * 60)) ;
	// 表示用タグ作成
	let tag = "";
	tag += "<h2>参考データ</h2>";
	tag += "<ul data-role='listview' data-inset='true'>";
	tag += "<li style='color: red'>時速 " + Math.round(kmH*10) / 10 + "km/h</li>";
	tag += "<li>100mのラップ " + getLap(totalSeconds, runDistance, 0.1) + "</li>";
	// ラップ
	for(let i=0; i<distance.length; i++){
		let style = "";
		if(runDistance == distance[i]) style="color: red";
		tag += "<li style='" + style + "'>" + distance[i] + "kmのラップ " + getLap(totalSeconds, runDistance, distance[i]) + "</li>";
	}
	tag += "</ul>";
	// 「00時間」や「00分」を削除
	tag = tag.replace( /00時間/g, "");
	tag = tag.replace( /00分/g, "");
	
	$("#outdata").html(tag).trigger("create");
};

// 初期画面作成
$(function(){
	// セレクタ生成（走った距離）
	let tag = "";
	for(let i=0; i<distance.length; i++){
		if(i == 2){
			tag += "<option value='" + distance[i] + "' selected>" + distance[i] + "km</option>";
			continue;
		}
		tag += "<option value='" + distance[i] + "'>" + distance[i] + "km</option>";
	}
	$("#distance").html(tag);

	// セレクタ生成（タイム 時・分・秒）
	let selectId = ["#select-choice-hour", "#select-choice-minute", "#select-choice-second"];
	let labelTime = ["時間", "分", "秒"];
	for(let i=0; i<selectId.length; i++){
		let tag = "";
		for(let j=0; j<60; j++){
			if(j == 0){
				tag += "<option value='" + j + "'>" + labelTime[i] + "</option>";
			}
			tag += "<option value='" + j + "'>" + j + labelTime[i] + "</option>";
		}
		$(selectId[i]).html(tag);
	}
});
